#!/bin/bash


export DIR=`\pwd`
mkdir $DIR/download
cd $DIR/download
export URL='http://supernovae.in2p3.fr/salt/lib/exe/fetch.php?media='
export VERSION=2.4.2


# download
wget ${URL}salt2-4_data.tgz -O $DIR/download/salt2-4_data.tgz
wget ${URL}snfit-$VERSION.tar.gz  -O $DIR/download/snfit-$VERSION.tar.gz
wget ${URL}jla-03d4ag.tar.gz -O $DIR/download/jla-03d4ag.tar.gz


unset PATHMODEL
export SALTPATH=$DIR/data


# install data


cd $DIR
tar zxvf $DIR/download/salt2-4_data.tgz
mv snfit_data data

# compile and install code
mkdir $DIR/build
cd $DIR/build
tar zxvf $DIR/download/snfit-$VERSION.tar.gz 
cd $DIR/build/snfit-$VERSION
./configure --prefix=$DIR  --enable-gfortran
make -j 2
make
make install
# for mac
export DYLD_LIBRARY_PATH=$DIR/lib

# test the code
mkdir $DIR/test
cd $DIR/test
tar zxvf $DIR/download/jla-03d4ag.tar.gz
$DIR/bin/snfit lc-03D4ag.list
cat result_salt2.dat lc-03D4ag-jla-result_salt2.dat



